main:
    report_dir: data/reports/
    archive_dir: data/archive/
    input_dir: data/inputs/
    deck_dir: data/decks/
    policy_file: data/policy.yaml
    bouncer_file: data/bouncer.yaml

    logfile: null
    tor_binary: null
    socks_port: 9055
    tor2webmode: false
    pidfile: 'oonib.pid'
    nodaemon: true
    originalname: null
    chroot: null
    rundir: .
    umask: null
    euid: null
    uid: null
    gid: null
    no_save: true
    debug: false
    stale_time: 3600

    tor_datadir: null

    bouncer_endpoints:
    #- {type: tls, port: 10443, cert: "private/ssl-key-and-cert.pem"}
    - {type: tcp, port: 10080}
    - {type: onion, hsdir: /tmp/bouncer}

    collector_endpoints:
    #- {type: tls, port: 11443, cert: "private/ssl-key-and-cert.pem"}
    - {type: onion, hsdir: /tmp/collector}

    report_file_template: '{iso8601_timestamp}-{test_name}-{report_id}-{probe_asn}-{probe_cc}-probe-0.2.0.{ext}'
helpers:
    http-return-json-headers:
        address: null
        port: 57001
        server_version: Apache

    tcp-echo:
        address: null
        port: 57002

    daphn3:
        address: null
        yaml_file: null
        pcap_file: null
        port: 57003

    dns:
        address: null
        udp_port: 57004
        tcp_port: 57005
        resolver_address: '8.8.8.8:53'

    dns_discovery:
        address: null
        udp_port: null
        tcp_port: null
        resolver_address: null

    ssl:
        address: null
        private_key: 'private.key'
        certificate: 'certificate.crt'
        #port: 57006
        port: null

    web_connectivity:
        endpoints:
        - {type: tcp, port: 57007}
